: Class AC_Attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.addressbook.addresscard
Class AC_Attribute

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.AC_Attribute

public class AC_Attribute
extends java.lang.Object
implements IAttribute

Constructor Summary
`AC_Attribute(java.lang.String aName)` Create an attribute with no values.
`AC_Attribute(java.lang.String aName, java.lang.String aValue)` Create an attribute with one value.
`AC_Attribute(java.lang.String aName, java.lang.String[] aValues)` Create an attribute with mutliple values.

Method Summary
`void` | `add(java.lang.String aValue)` Add an value to this attribute
`java.lang.String` | `getName()` Return the name of this attribute.
`java.util.Enumeration` | `getStringValues()` Return the string values of this attribute.
`java.lang.String` | `getValue()` Return the first string value of this attribute.
`boolean` | `isDeleted()` Has the attribute been deleted since the last update with it's parent.
`boolean` | `isModified()` Has the attribute been modified since the last update with it's parent.
`boolean` | `isNew()` Has the attribute new to the parent?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AC_Attribute

    public AC_Attribute(java.lang.String aName,
                        java.lang.String[] aValues)

  Create an attribute with mutliple values.

### AC_Attribute

    public AC_Attribute(java.lang.String aName,
                        java.lang.String aValue)

  Create an attribute with one value.

### AC_Attribute

    public AC_Attribute(java.lang.String aName)

  Create an attribute with no values.

Method Detail

### add

    public void add(java.lang.String aValue)

  Add an value to this attribute

### getName

    public java.lang.String getName()

  Return the name of this attribute.
  Specified by:
    getName in interface IAttribute

### getValue

    public java.lang.String getValue()

  Return the first string value of this attribute.
  Specified by:
    getValue in interface IAttribute

### getStringValues

    public java.util.Enumeration getStringValues()

  Return the string values of this attribute.

### isNew

    public boolean isNew()

  Has the attribute new to the parent?
  Specified by:
    isNew in interface IAttribute

### isDeleted

    public boolean isDeleted()

  Has the attribute been deleted since the last update with it's parent.
  Specified by:
    isDeleted in interface IAttribute

### isModified

    public boolean isModified()

  Has the attribute been modified since the last update with it's parent.
  Specified by:
    isModified in interface IAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD